<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddLdapSyncCustomFieldReq StructType
 * @subpackage Structs
 */
class AddLdapSyncCustomFieldReq extends APIRequest
{
    /**
     * The ldapSyncCustomField
     * @var XLdapSyncCustomField
     */
    public $ldapSyncCustomField;
    /**
     * Constructor method for AddLdapSyncCustomFieldReq
     * @uses AddLdapSyncCustomFieldReq::setLdapSyncCustomField()
     * @param XLdapSyncCustomField $ldapSyncCustomField
     */
    public function __construct(XLdapSyncCustomField $ldapSyncCustomField = null)
    {
        $this
            ->setLdapSyncCustomField($ldapSyncCustomField);
    }
    /**
     * Get ldapSyncCustomField value
     * @return XLdapSyncCustomField|null
     */
    public function getLdapSyncCustomField()
    {
        return $this->ldapSyncCustomField;
    }
    /**
     * Set ldapSyncCustomField value
     * @param XLdapSyncCustomField $ldapSyncCustomField
     * @return AddLdapSyncCustomFieldReq
     */
    public function setLdapSyncCustomField(XLdapSyncCustomField $ldapSyncCustomField = null)
    {
        $this->ldapSyncCustomField = $ldapSyncCustomField;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddLdapSyncCustomFieldReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
